Bug 654603 (CVE-2010-1674) - CVE-2010-1674 quagga: DoS (crash) by processing malformed extended community attribute in a route
Summary: CVE-2010-1674 quagga: DoS (crash) by processing malformed extended community ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-1674
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110321,reported=20101117,sou...
Depends On: 684747 684748 684749 684750 684751 689852 845536 845537
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-18 11:29 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 14:49:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0406 normal SHIPPED_LIVE Moderate: quagga security update 2011-03-31 15:06:04 UTC
Red Hat Product Errata RHSA-2012:1258 normal SHIPPED_LIVE Moderate: quagga security update 2012-09-13 00:02:35 UTC

Description Jan Lieskovsky 2010-11-18 11:29:27 UTC
A NULL pointer dereference flaw was found in the way Quagga bgpd
daemon processed malformed route information. A configured BGP
peer could crash bgpd on a target system via a BGP message with
specially-crafted value of BGP Extended Communities attribute.

Comment 6 Jan Lieskovsky 2011-03-22 16:08:31 UTC
This issue affects the versions of the quagga package, as shipped
with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the quagga package, as shipped
with Fedora release of 13 and 14.

Comment 7 Jan Lieskovsky 2011-03-22 16:12:17 UTC
Updated upstream version, addressing this:

http://www.quagga.net/news2.php?y=2011&m=3&d=21#id1300723200

Comment 8 Jan Lieskovsky 2011-03-22 16:18:01 UTC
Created quagga tracking bugs for this issue

Affects: fedora-all [bug 689852]

Comment 9 Jan Lieskovsky 2011-03-22 16:21:37 UTC
Statement:

Vulnerable. This issue affects quagga packages in Red Hat Enterprise
Linux 4 and 5. The Red Hat Security Response Team has rated this issue
as having low security impact, a future update may address this flaw.

Comment 11 errata-xmlrpc 2011-03-31 15:06:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0406 https://rhn.redhat.com/errata/RHSA-2011-0406.html

Comment 14 errata-xmlrpc 2012-09-12 20:06:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1258 https://rhn.redhat.com/errata/RHSA-2012-1258.html


Note You need to log in before you can comment on or make changes to this bug.